Skip to main content
DELETE
/
customers
/
{id}
/
tags
cURL
curl --request DELETE \
  --url https://app.masivo.ai/api/storefront/v1/customers/{id}/tags \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "customer": {
      "id": "<string>",
      "name": "John Smith",
      "email": "jsmith@example.com",
      "registration_date": "2023-11-07T05:31:56Z",
      "status": "ACTIVE",
      "is_anonymous": false,
      "gender": "MALE",
      "dob": "2023-11-07T05:31:56Z",
      "document_type": "<string>",
      "document_number": "<string>",
      "country": "<string>",
      "tier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tags": {},
      "consent": {
        "consent_string": "COvFyGBOvFyGBAbAAAENAPCAAOAAAAAAAAAAAEEUACCKAAA",
        "version": "2.0",
        "consent_timestamp": "2023-11-07T05:31:56Z",
        "customer_id": "<string>",
        "purposes": {
          "behavioral_campaigns": true,
          "coupon_campaigns": true,
          "punchcard_campaigns": true,
          "email_marketing": true,
          "push_notifications": true,
          "link_tracking": true
        },
        "vendors": {
          "vendor_123": true,
          "vendor_456": false
        }
      },
      "metrics": {},
      "metadata": {}
    },
    "wallet": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "lines": [
        {
          "amount": 123,
          "reward_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "issued_at": "2023-11-07T05:31:56Z",
          "expiration_date": "2023-11-07T05:31:56Z",
          "reservation_expires_at": "2023-11-07T05:31:56Z"
        }
      ],
      "totals": [
        {
          "total": 127.6,
          "reward_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "expiration_date": "2023-11-07T05:31:56Z",
          "reward": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "brand_id": "<string>",
            "platforms": [
              "<string>"
            ],
            "name": "<string>",
            "description": "<string>",
            "type": "POINTS",
            "conditions": [
              [
                {
                  "type": "Order Value",
                  "operator": "grater than",
                  "primitive": "string",
                  "value": 9.95
                }
              ]
            ],
            "attributes": {
              "conversion_factor": 0.1
            }
          }
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The customer unique identifier in your system

Query Parameters

tags
string
required

The tags keys to delete separated by comma

Response

Customer tags deleted

data
object